Bug 318251 - Account deactivation
Summary: Account deactivation
Status: RESOLVED FIXED
Alias: None
Product: bodega
Classification: Unclassified
Component: Server (show other bugs)
Version: unspecified
Platform: Other Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Aaron J. Seigo
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-04-12 17:14 UTC by Aaron J. Seigo
Modified: 2013-05-12 21:03 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Aaron J. Seigo 2013-04-12 17:14:59 UTC
Currently one can not shut down their account. While accounts should not be able to be deleted (as that is required to keep transaction records auditable), a server side API to allow the deactivation of an account should be made.

Reactivation should be possible in the same way that initial account activation or password  recovery is.

Reproducible: Always
Comment 1 Giorgos Tsiapaliokas 2013-04-20 13:31:31 UTC
In the participant/info there should be the status of the account, like isActiveAccount: true/false.
No???

So we need some new route(s)

1st solution:
 participant/activateAccount and participant/deactivateAccount

2nd solution:
participant/accountStatus?status=false/true

I prefer the second solution.
comments... :)
Comment 2 Giorgos Tsiapaliokas 2013-04-21 10:03:13 UTC
Git commit 426141b6da4c2cbaa05dad04d5bfa98ea0deb6af by Giorgos Tsiapaliokas.
Committed on 20/04/2013 at 18:01.
Pushed by tsiapaliwkas into branch 'master'.

add support for account activation and deactivation

REVIEW: 110103

M  +1    -1    server/config.sample.json
M  +11   -2    server/lib/db/changeAccountDetails.js
M  +5    -3    server/lib/db/participantInfo.js

http://commits.kde.org/bodega-server/426141b6da4c2cbaa05dad04d5bfa98ea0deb6af
Comment 3 Giorgos Tsiapaliokas 2013-05-12 21:03:59 UTC
Git commit d1857350bba9998310c00833dbc08067032e22ca by Giorgos Tsiapaliokas.
Committed on 20/04/2013 at 18:01.
Pushed by tsiapaliwkas into branch 'terietor/account/activation2'.

add support for account activation and deactivation

REVIEW: 110103

M  +1    -1    server/config.sample.json
M  +11   -2    server/lib/db/changeAccountDetails.js
M  +5    -3    server/lib/db/participantInfo.js

http://commits.kde.org/bodega-server/d1857350bba9998310c00833dbc08067032e22ca